1. #1

    Fantasy Ground crashes under wine 4.18

    I'm using Arch Linux to run Fantasy Grounds under Wine. It worked like a charm until the last system update (which bumps wine to 4.18).

    When I try to run it using wine 4.18 it crashes before showing the main window. Update and campaign selection windows do work.

    Downgrading wine to 4.17 solves the crash and everything works again.

    I'm using PlayOnLinux if it matters, but just to manage shortcuts and dirs. I'm not using any fancy stuff like fixed wine versions or libraries.

  2. #2
    According to the wine project 4.18 is not the current stable version, it's the development version. It's likely that you will experience issues on 4.18, I'd revert back to the stable release.

  3. #3
    As I said, I have reverted to 4.17 (previous development) and it works nice, but thank you for your suggestion. Eventually someone (maybe myself) will need to open a bug with the wine team to get it solved. What I try to get from this post is the most information as possible.

    BTW: Wine development versions are quite stable (pum intended). It's the default install version in lots of linux distros (See FAQ 2.2 Wich version of wine should I use).

  4. #4
    Fantasy Grounds is working again with wine 4.20. So please avoid 4.18 and 4.19.

Thread Information

Users Browsing this Thread

There are currently 2 users browsing this thread. (0 members and 2 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Log in

Log in